# Uses of Interface
javax.imageio.event.IIOWriteProgressListener

Packages that use IIOWriteProgressListener
Package
Description
javax.imageio
The main package of the Java Image I/O API.

## Uses of IIOWriteProgressListener in javax.imageio

Fields in javax.imageio with type parameters of type IIOWriteProgressListener
Modifier and Type
Field
Description
`protected List<IIOWriteProgressListener>`
ImageWriter.`progressListeners`
A `List` of currently registered `IIOWriteProgressListener`s, initialized by default `null`, which is synonymous with an empty `List`.
Methods in javax.imageio with parameters of type IIOWriteProgressListener
Modifier and Type
Method
Description
`void`
ImageWriter.`addIIOWriteProgressListener(IIOWriteProgressListener listener)`
Adds an `IIOWriteProgressListener` to the list of registered progress listeners.
`void`
ImageWriter.`removeIIOWriteProgressListener(IIOWriteProgressListener listener)`
Removes an `IIOWriteProgressListener` from the list of registered progress listeners.